Commit b9cd84e0 authored by Pierre Dittgen's avatar Pierre Dittgen
Browse files

set up dev environment

parent 6133c923
{
// See https://go.microsoft.com/fwlink/?LinkId=827846 to learn about workspace recommendations.
// Extension identifier format: ${publisher}.${name}. Example: vscode.csharp
// List of extensions which should be recommended for users of this workspace.
"recommendations": ["ms-python.python"],
// List of extensions recommended by VS Code that should not be recommended for users of this workspace.
"unwantedRecommendations": []
}
{
"editor.rulers": [120],
"python.pythonPath": ".venv/",
"python.formatting.provider": "black",
"python.linting.enabled": true,
"python.linting.flake8Enabled": true,
"python.linting.mypyEnabled": true,
"python.linting.pylintEnabled": false,
"[python]": {
"editor.formatOnSave": true,
"editor.codeActionsOnSave": {
"source.organizeImports": true
}
}
}
black
flake8
mypy
#
# This file is autogenerated by pip-compile
# To update, run:
#
# pip-compile requirements-dev.in
#
black==21.11b1
# via -r requirements-dev.in
click==8.0.3
# via black
flake8==4.0.1
# via -r requirements-dev.in
mccabe==0.6.1
# via flake8
mypy-extensions==0.4.3
# via
# black
# mypy
mypy==0.910
# via -r requirements-dev.in
pathspec==0.9.0
# via black
platformdirs==2.4.0
# via black
pycodestyle==2.8.0
# via flake8
pyflakes==2.4.0
# via flake8
regex==2021.11.10
# via black
toml==0.10.2
# via mypy
tomli==1.2.2
# via black
typing-extensions==4.0.1
# via
# black
# mypy
geopandas
python-slugify
python-stdnum
requests
shapely
ujson
geopandas==0.7.0
python-slugify==4.0.0
python-stdnum==1.13
requests==2.23.0
shapely==1.7.0
ujson==1.35
#
# This file is autogenerated by pip-compile
# To update, run:
#
# pip-compile
#
attrs==21.2.0
# via fiona
certifi==2021.10.8
# via
# fiona
# pyproj
# requests
charset-normalizer==2.0.8
# via requests
click-plugins==1.1.1
# via fiona
click==8.0.3
# via
# click-plugins
# cligj
# fiona
cligj==0.7.2
# via fiona
fiona==1.8.20
# via geopandas
geopandas==0.10.2
# via -r requirements.in
idna==3.3
# via requests
munch==2.5.0
# via fiona
numpy==1.21.4
# via pandas
pandas==1.3.4
# via geopandas
pyproj==3.3.0
# via geopandas
python-dateutil==2.8.2
# via pandas
python-slugify==5.0.2
# via -r requirements.in
python-stdnum==1.17
# via -r requirements.in
pytz==2021.3
# via pandas
requests==2.26.0
# via -r requirements.in
shapely==1.8.0
# via
# -r requirements.in
# geopandas
six==1.16.0
# via
# fiona
# munch
# python-dateutil
text-unidecode==1.3
# via python-slugify
ujson==4.3.0
# via -r requirements.in
urllib3==1.26.7
# via requests
# The following packages are considered to be unsafe in a requirements file:
# setuptools
[flake8]
# Recommend matching the black line length (default 120),
# rather than using the flake8 default of 79:
max-line-length = 120
exclude=.venv
extend-ignore =
# See https://github.com/PyCQA/pycodestyle/issues/373
E203,
enable-extensions=G # for flake8-logging-format
[tool:pytest]
addopts = --doctest-modules
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment